Type1CharString
Date: 2017-05-25

org.apache.fontbox.cff

## Class Type1CharString

- java.lang.Object
- - org.apache.fontbox.cff.Type1CharString

- Direct Known Subclasses:
    Type2CharString

      public class Type1CharString
      extends java.lang.Object

  This class represents and renders a Type 1 CharString.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `commandCount`
    `protected java.util.List<java.lang.Object>` | `type1Sequence`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Type1CharString(Type1CharStringReader font, java.lang.String fontName, java.lang.String glyphName)` Constructor for use in subclasses.
    `` | `Type1CharString(Type1CharStringReader font, java.lang.String fontName, java.lang.String glyphName, java.util.List<java.lang.Object> sequence)` Constructs a new Type1CharString object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.geom.Rectangle2D` | `getBounds()` Returns the bounds of the renderer path.
    `java.lang.String` | `getName()`
    `java.awt.geom.GeneralPath` | `getPath()` Returns the path of the character.
    `java.util.List<java.lang.Object>` | `getType1Sequence()` Returns the Type 1 char string sequence.
    `int` | `getWidth()` Returns the advance width of the glyph.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### type1Sequence

          protected java.util.List<java.lang.Object> type1Sequence

    - #### commandCount

          protected int commandCount

  - ### Constructor Detail

    - #### Type1CharString

          public Type1CharString(Type1CharStringReader font,
                         java.lang.String fontName,
                         java.lang.String glyphName,
                         java.util.List<java.lang.Object> sequence)

      Constructs a new Type1CharString object.
      Parameters:
        `font` - Parent Type 1 CharString font.
        `fontName` - Name of the font.
        `glyphName` - Name of the glyph.
        `sequence` - Type 1 char string sequence

    - #### Type1CharString

          protected Type1CharString(Type1CharStringReader font,
                         java.lang.String fontName,
                         java.lang.String glyphName)

      Constructor for use in subclasses.
      Parameters:
        `font` - Parent Type 1 CharString font.
        `fontName` - Name of the font.
        `glyphName` - Name of the glyph.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getBounds

          public java.awt.geom.Rectangle2D getBounds()

      Returns the bounds of the renderer path.
      Returns:
        the bounds as Rectangle2D

    - #### getWidth

          public int getWidth()

      Returns the advance width of the glyph.
      Returns:
        the width

    - #### getPath

          public java.awt.geom.GeneralPath getPath()

      Returns the path of the character.
      Returns:
        the path

    - #### getType1Sequence

          public java.util.List<java.lang.Object> getType1Sequence()

      Returns the Type 1 char string sequence.
      Returns:
        the Type 1 sequence

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`